1.0	DESCRIPTION

	DMAGIC is a custom DMA Gate array IC used in the C65.  It
	functions as a DMA controller with a few tricks up its sleeve.
	Specifically, DMAgic provides the following commands:

	* COPY 	- Copy a block of memory to another area in memory.

	* MIX  	- Perform a boolean Minterm mix of a source block of
	  memory with a destination block of memory.

	* SWAP 	- Exchange the contents of two blocks of memory.

	* FILL	- Fill a block of memory with a source byte.


	Special features include:	

	* List-based fetching of DMA command sequences.

	* Ability to CHAIN multiple DMA command sequences.

	* Absolute Address access to entire System Memory.

	* Blocks can be up to 64 K bytes long.

	* Windowed Block capability using MODulus function.

	* DMAgic operations yield to VIC video and eXternal DMA accesses.

	* DMAgic operations can optionally yield to system interrupts.

	* Interrupted DMAgic operations can be continued/resumed, or
	  cancelled. 

	* Data ReQuest handshaking support for IO devices.

	* Independent memory/mapped IO selection for source and destination.

	* Independent memory tranfer DIRection for source and destination.

	* Independent MODulus enable for source and destination.

	* Independent HOLD (fixed pointer) for source and destination.



