BLOCK STATUS

The BLOCK-STATUS command is used to determine if a particular block of a
diskette in the C64DX built-in drive (or external 1565 drive) is available.

        PRINT#15,"BLOCK-STATUS";drive;track;sector
	PRINT#15,"B-S";drive;track;sector

where drive is the drive number, and track, sector is the location of the
block whose status is sought.

To obtain the status of the block in which you wrote your name in the BLOCK
WRITE example (track 1 sector 1):

        10 OPEN 15,8,15          		open the command channel
        20 OPEN 2,8,2,"#"        		get a direct access channel
        30 PRINT#15,"B-S";0;1;1			issue the block status command
        40 GET#2,A$             		get the block status
        50 IF ASC(A$)=1 THEN PRINT "USED"
        60 IF ASC(A$)=0 THEN PRINT "FREE"
        70 CLOSE 2
	80 CLOSE 15
	90 END

