

	The C64DX computer includes a built-in 3.5", 1MB (unformatted) floppy
	disk drive, and a versatile Disk Operating System (DOS).  The C64DX
	DOS is conceptually similar to past Commodore disk drives and file
	systems, but there are some important differences and many useful
	enhancements.  Users familiar with the Commodore C128D computer, the
	1581 disk drive, and the older PET dual drive systems will recognize
	many similarities in the C64DX DOS, the C64DX Kernel (the computer's
	operating system),  and the BASIC 10.0 DOS commands.

        In addition to supporting the built-in disk drive, the C64DX supports 
        a variety of Commodore serial bus drives, including the 1541, 1541-II,
        1571, and 1581 drives.  The C64DX implements both standard and fast
	serial bus protocols, and will choose the appropriate protocol
	automatically.

        Commodore serial bus disk drives, unlike those used with most other
	computers, are intelligent.  They contain their own microprocessor
	giving them the ability to execute commands issued from the host
	computer.  The C64DX built-in DOS emulates these intelligent drives.

        The following chapter will briefly explain how to use the BASIC 10.0
	DOS commands, describe the Commodore file system, and present some of
	the enhancements of the built-in DOS.  While the DOS is used by both
	the C64 and C64DX modes, the information provided will mostly pertain
	to using it in C64DX mode.


