


MOD - Modulus function

			MOD (number, range)

The MODulus function returns the modulus of a number for a specified range.
The calculation is equivalent to number-(range*INT(number/range)).

		x = MOD(x+1,16)		X will be in the range 0-15
		y = MOD(16,16)		Y will be 0		







LOADIFF - Load an IFF file into the drawscreen

		LOADIFF "filename" [,Ddrive] [,Udevice]

The LOAD IFF command will load a standard IFF graphic file of form ILBM
into the current drawscreen.  The LOAD IFF parameters are similar to those
of DLOAD.  The IFF file should be a PRG type file containing the graphic
data.  Unrecognized IFF forms and chunks are ignored.

The drawscreen must already be opened and compatible with the IFF data being
loaded.  This means you must know beforehand the size and number of bitplanes
the picture has, or read this information from the IFF file yourself.

The example below opens a typical 320x200x5 graphic screen and loads a picture
file into it (pictures larger than this generally require optional expansion
memory):

	SCREEN DEF  1,0,0,5		define graphic screen
	SCREEN OPEN 1			open graphic screen
	SCREEN SET  1,1			make it both draw & view screen
	SCREEN CLR  0			clear the graphic screen
	LOADIFF "iff_file"		load the picture into the screen
	WAIT DEC("D3"),2		wait for user to press C= key
	SCREEN CLOSE 1			close the graphic screen
	PALETTE RESTORE			restore normal palette colors

An example program on the C64DX Extras Disk performs as a simple slideshow.
It scans the disk directory for all IFF files called 'something.IFF', reads
each file to determine its size and opens a suitable screen, and then loads
each picture file into it.
		
