


                                   CONTENTS



CHAPTER 1       SCOPE

        1.1     ABSTRACT . . . . . . . . . . . . . . . . . . . . . 1-1
        1.2     CHARACTERISTICS  . . . . . . . . . . . . . . . . . 1-1


CHAPTER 2       FEATURES

        2.1     HARDWARE SUMMARY . . . . . . . . . . . . . . . . . 2-1
        2.2     GENERAL SPECIFICATIONS . . . . . . . . . . . . . . 2-1
        2.3     FORMAT ORGANIZATION  . . . . . . . . . . . . . . . 2-3
        2.4     STORAGE  . . . . . . . . . . . . . . . . . . . . . 2-3


CHAPTER 3       MEMORY MAP

        3.1     I/O LOCATIONS  . . . . . . . . . . . . . . . . . . 3-1
        3.1.1     RAM Usage  . . . . . . . . . . . . . . . . . . . 3-1


CHAPTER 4       CONTROLLER OPERATION

        4.1     CONTROLLER OPERATION . . . . . . . . . . . . . . . 4-1
        4.2     CONTROLLER COMMAND SUMMARY . . . . . . . . . . . . 4-2
        4.2.1     Controller Job Returns . . . . . . . . . . . . . 4-3
        4.2.2     Controller Command Description . . . . . . . . . 4-4
        4.3     TRACK CACHE BUFFER . . . . . . . . . . . . . . . . 4-9


CHAPTER 5       BAM/DIRECTORY 

        5.1     BAM LOCATION . . . . . . . . . . . . . . . . . . . 5-1


CHAPTER 6       AUTO BOOT LOADER

        6.1     COPYRIGHT CBM 86 FILE  . . . . . . . . . . . . . . 6-1


CHAPTER 7       PHYSICAL/LOGICAL TRACK AND SECTOR TRANSLATION

        7.1     TRANSLATION ROUTINES   . . . . . . . . . . . . . . 7-1


CHAPTER 8       VECTORED JUMP TABLE

        8.1     DOS COMMAND VECTORS  . . . . . . . . . . . . . . . 8-1



                                - 1 -

                                                                Page 2


CHAPTER 9       PARTITION CAPABILITY

        9.1     CBM FILE TYPE  . . . . . . . . . . . . . . . . . . 9-1


CHAPTER 10      WILDCARD ENHANCEMENTS


CHAPTER 11      VARIABLE STRUCTURE 


CHAPTER 12      SERIAL BUS

        12.1    COMMODORE SERIAL INTERFACE . . . . . . . . . . .  12-1
        12.1.1    Programmable Baud Rate Generator . . . . . . .  12-2
        12.1.2    Commodore Serial Interface . . . . . . . . . .  12-3
        12.1.3    Commodore Serial Interface Commands  . . . . .  12-4
        12.1.3.1  Standard Kernal Calls  . . . . . . . . . . . .  12-4
        12.1.4    Commodore Standard Serial Interface Protocol .  12-7
        12.1.5    Commodore Fast Serial Interface Protocol . . .  12-8
        12.1.6    Commodore Burst Serial Interface Protocol  . .  12-9
        12.2    SERIAL BUS PERFORMANCE   . . . . . . . . . . . . 12-10
        12.3    COMMODORE SERIAL SECONDARY ADDRESS DESCRIPTION . 12-11
        12.3.1    Secondary Address 0  . . . . . . . . . . . . . 12-12
        12.3.2    Secondary Address 1  . . . . . . . . . . . . . 12-12
        12.3.3    Secondary Address 2-14 . . . . . . . . . . . . 12-12
        12.3.4    Secondary Address 15 . . . . . . . . . . . . . 12-12


CHAPTER 13      DISK OPERATING SYSTEM

        13.1    COMMAND SUMMARY  . . . . . . . . . . . . . . . .  13-2
        13.1.1    DOS Error Returns  . . . . . . . . . . . . . .  13-4


CHAPTER 14      BURST COMMANDS 

        14.1    BURST COMMAND SUMMARY  . . . . . . . . . . . . .  14-1
















                                - 2 -












                              CHAPTER 1

                                SCOPE



1.1  ABSTRACT

     These specifications  are  applied  to  the  3.5  inch  drive  by
Commodore.  Specification Version x.xx


Related  Documents  WD1770  specifications.   CBM  Serial  Bus  Timing
310306.





1.2  CHARACTERISTICS


        (1) 3.5 inch, +720k storage.
        (2) Increased Buffers, and fixed BAM locations.
        (3) Expanded Controller Commands.
        (4) Track Cache Buffer for increased performance.
        (5) Configurable auto boot file.
        (6) User alterable physical/logical track
            and sector translation.
        (7) Fully vectored jump table.
        (8) Partition capabilities.
        (9) Wild card enhancements.
       (10) Standard, Fast, and Burst Serial Capabilities.
       (11) Expanded Burst Command Set.











                                - 3 -












                              CHAPTER 2

                               FEATURES



2.1  HARDWARE SUMMARY


   (For greater detail see 1581 Hardware Specification)

  Processors:   6502, WD1770 

         ROM:   32K 
         RAM:   8K 
         I/O:   8520a 




2.2  GENERAL SPECIFICATIONS


Gross Data Organization:

        3.5 inch disk
        double-sided
        80 cylinders/160 tracks


Per Track Organization:

        Hex 4e written as a gap, with 9/10 sectors 
        of data, with full gaps written for motor 
        speed variation.

Per Sector Organization:

        MFM encoded contents of each sector:

        12 bytes of 00 
         3 bytes of hex a1 (data hex a1, clock hex 0a)
         1 byte  of fe (ID address mark)
         1 byte  (track number) 

                                - 4 -

FEATURES                                                      Page 2-2


         1 byte  (side number)
         1 byte  (sector number)
         1 byte  (sector length, 02 for 512 byte sectors)
         2 bytes CRC (cyclic redundancy check)
        22 bytes of hex 22
        12 bytes of 00 
         3 bytes of hex a1 (data hex a1, clock hex 0a)
         1 byte of hex fb (Data address mark)
       512 bytes of DATA
         2 bytes CRC (cyclic redundancy check)
     74/38 bytes of hex 4e











































                                - 5 -

FEATURES                                                      Page 2-3


2.3  FORMAT ORGANIZATION


Physical 

        Cylinders 0 thru 79
        Sectors 1 thru 9/10 on side 0
        Sectors 1 thru 9/10 on side 1
        Sector Size 512 bytes   


Logical
        Tracks 1 thru 80
        Sectors 0 thru 35/39 (using physical 
                   sectors 1..9/10 - side 0 & 1 )
        Sector Size 256 bytes   



2.4  STORAGE



Total unformatted capacity      1 Megabyte
Total formatted capacity        727,552/808,960 bytes
Maximum Sequential file size    716,184/796,320 bytes
Maximum Relative file size      167,132 bytes
Records per file                65,535
Files per diskette              264/296
Cylinders per diskette          80
Logical Sectors per cylinder    18/20
Physical Sectors per cylinder   18/20
Logical bytes per sector        256
Physical bytes per sector       512




















                                - 6 -












                              CHAPTER 3

                              MEMORY MAP



3.1  I/O LOCATIONS


Device          Address         Function
--------------------------------------------------------
8k x 8 RAM      $0000-$1FFF     
8520a           $4000-$4010     Controller, Serial bus.
WD1770          $6000-$6003     MFM Disk Controller.
32k x 8 ROM     $8000-$FFFF     DOS, Controller Routines.





3.1.1  RAM Usage


Address         Function
--------------------------------------------------------
$0000-$00FF     Zero Page Variables
$0100-$01FF     Vectors, Variables and Stack Area
$0200-$02FF     Command/Error Buffer and Variables
$0300-$03FF     BAM
$0400-$04FF     BAM
$0500-$05FF     Buffer #0
$0600-$06FF     Buffer #1
$0700-$07FF     Buffer #2
$0800-$08FF     Buffer #3
$0900-$09FF     Buffer #4
$0A00-$0AFF     Buffer #5
$0B00-$0BFF     Buffer #6
$0C00-$1FFF     Track Cache Buffer







                                - 7 -












                              CHAPTER 4

                         CONTROLLER OPERATION



4.1  CONTROLLER OPERATION



     Controller commands are placed in the job queue.  The  job  queue
is  polled  every  10mS.   or  may  be  called  by  a  direct  jump to
jstrobe_controller (see section on vector tables).  The format of  the
job queue is:

Name Address       Description
----------------------------------------
JOBS 0002H - 000BH Job Queue
HDRS 000CH - 001FH Logical Track & Sector

Where queue position 0002H relates to track 000CH and sector 000DH.


If translation to a physical track and sector address is required
it will be placed in:

HDRS2 0XXXH - 0XXXH Physical Track & Sector

All reads and writes will generate an offset into the 
track cache buffer and the offset is placed in:

CACHEOFF
      0XXXH - 0XXXH Offset into track cache

On physical address reads and writes the side must be 
placed in:

SIDS  0XXXH - 0XXXH Physical side







                                - 8 -

CONTROLLER OPERATION                                          Page 4-2


4.2  CONTROLLER COMMAND SUMMARY


READ_DV         80H     Read into track cache buffer.
WRTSD_DV        90H     Write out track cache buffer.
WRTVER_DV       A0H     Track cache verify write.
SEEKHD_DV       B0H     Seek any header.
SEEKPHD_DV      B8H     Sector seek a particular header.
RESTORE_DV      C0H     Restore head against track zero stop.
JUMPC_DV        C0H     Execute buffer.
EXBUF_DV        E0H     Execute buffer after motor is up to 
                        speed and on track.

RESET_DV        82H     Reset disk controller.
MOTON_DV        84H     Turn on spindle motor with spinup sequence.
MOTOFF_DV       86H     Turn off spindle motor with spin down sequence.
MOTONI_DV       88H     Turn on spindle motor.
MOTOFFI_DV      8AH     Turn off spindle motor.
SEEK_DV         8CH     Move head to a specific cylinder.
FORMAT_DV       8EH     Format one cylinder side.
DISKIN_DV       92H     Determine whether there is a disk
                        present in the drive.
LEDACTON_DV     94H     Will turn on the activity led.
LEDACTOFF_DV    96H     Will turn off the activity led.
ERRLEDON_DV     98H     Will enable error led blinking.
ERRLEDOFF_DV    9AH     Will disable error led blinking.
SIDE_DV         9CH     Will select side.
BUFMOVE_DV      9EH     Will move data from/to a specific area 
                        in the track cache buffer.
TRKWRT_DV       A2H     Dump track cache buffer to disk.
PREAD_DV        A4H     Read sector.
PWRT_DV         A6H     Write sector.
PSEEK_DV        A8H     Move head to a specific logical
                        cylinder.
TREAD_DV        AAH     Read with no internal transfer to buffer done.
TWRT_DV         ACH     Write with no internal transfer to buffer done.
TPREAD_DV       B2H     Read with no internal transfer or translation.
TPWRT_DV        B4H     Write with no internal transfer or translation.
DETWP_DV        B6H     Returns whether or not the diskette is write
                        protected.
FORMATDK_DV     F0H     Format diskette.













                                - 9 -

CONTROLLER OPERATION                                          Page 4-3


4.2.1  Controller Job Returns


        After  the  execution  of  the  job,  the   controller
   overlays the return code into the corresponding position in
   the job queue.

OK_DV           0XH     No error.
MISHD_DV_ER     02H     Can't find header block.
NOADAM_DV_ER    03H     No address mark detected.
MISDBLK_DV_ER   04H     Data block not present.
CRCDBLK_DV_ER   05H     CRC error in data block.
FMT_DV_ER       06H     Format Error.
VERERR_DV_ER    07H     Verify error.
WRTPR_DV_ER     08H     Attempt to write with write protect on.
CRCHD_DV_ER     09H     CRC error in header.
                0AH     
DSKCHG_DV_W     0BH     Disk change / disk id mismatch.
                0CH     
                0DH     
SYNTAX_DV_ER    0EH     Syntax Error.
NODSKPRS_DV_ER  0FH     No disk present.
































                                - 10 -

CONTROLLER OPERATION                                          Page 4-4


4.2.2  Controller Command Description



READ_DV

READ_DV transfers data from the track cache buffer to  the  job  queue
buffer,  only if the disk has not been changed.  If the desired sector
is already in the  track  cache  buffer,  then  no  disk  activity  is
initiated.   If the sector is not contained in the track cache buffer,
then the data in the current track cache buffer is checked  for  write
modification.  If the track cache has been modified then it is written
to disk, before the new read.


WRTSD_DV

WRTSD_DV transfers data from the job queue buffer to the  track  cache
buffer,  only if the disk has not been changed.  If the desired sector
is already in the  track  cache  buffer,  then  no  disk  activity  is
initiated.   If the sector is not contained in the track cache buffer,
then the data in the current track cache buffer is checked  for  write
modification.  If the track cache has been modified then it is written
to disk, then the read/write modification takes place.


WRTVER_DV

WRTVER_DV verifies the track cache buffer  with  data  read  from  the
disk.


SEEKHD_DV

SEEKHD_DV will initialize the disk and read header and ID  information
to  be  used by the DOS.  The track cache buffer will not be updated ,
although a sector table will be generated.


SEEKPHD_DV

SEEKPHD_DV will logically seek a particular sector.


RESTORE_DV

RESTORE_DV will restore head against the track zero stop.


JUMPC_DV

JUMPC_DV will execute the code in it's corresponding job queue buffer.


                                - 11 -

CONTROLLER OPERATION                                          Page 4-5


EXBUF_DV

EXBUF_DV will execute the code in it's corresponding job queue  buffer
after the motor is up to speed and the head is on track.


RESET_DV

RESET_DV will reset the disk controller and associated variables.


MOTON_DV

MOTON_DV will turn on spindle motor and will overlay a 01H in the  job
queue after the spinup sequence is complete.


MOTOFF_DV

MOTOFF_DV will turn off the spindle motor after the spin down sequence
is complete.


MOTONI_DV

MOTONI_DV will turn on the spindle motor immediately.


MOTOFFI_DV

MOTOFFI_DV will turn off the spindle motor immediately.


SEEK_DV

SEEK_DV will seek to a physical cylinder, the cylinder address must be
placed  in  the  track  position  in the job queue and the destination
cylinder address must be placed in the  sector  position  in  the  job
queue.


FORMAT_DV

FORMAT_DV will format one cylinder side, the head must  be  placed  in
the  physically over the proper cylinder and the head electronics must
be selected for the correct side.


DISKIN_DV       

DISKIN_DV will determine whether there  is  a  disk  inserted  in  the
drive.


                                - 12 -

CONTROLLER OPERATION                                          Page 4-6


LEDACTON_DV     

LEDACTON_DV will turn on the activity led.


LEDACTOFF_DV    

LEDACTOFF_DV will turn off the activity led.


ERRLEDON_DV

ERRLEDON_DV will enable error led blinking.


ERRLEDOFF_DV

ERRLEDOFF_DV will disable error led blinking.


SIDE_DV

SIDE_DV will set side select electronics to the value specified in the
sids position in the job queue (00H or 01H).


BUFMOVE_DV

BUFMOVE_DV  will  move  data  from/to   track   cache   buffer.    The
corresponding  track position in the job queue denotes the position in
the track cache buffer.  The sector position in the job queue  denotes
the following:

===================================================================
BIT     7       6       5       4       3       2       1       0 
===================================================================
        D       M       T       [      # OF 256 BYTE CHUNKS     ]

Switch Description

        D - Direction (1 = To track cache buffer)
        M - Mark Flag ( Set/Clear the track cache modify flag)
        T - Transfer  (1= Transfer data)

With D set the corresponding translated track position in the 
job queue (HDRS2) must be updated,  this denotes the physical 
track.  The (SIDS) position must also be updated this denotes 
the side.



TRKWRT_DV


                                - 13 -

CONTROLLER OPERATION                                          Page 4-7


TRKWRT_DV will dump the track cache buffer if it is dirty.


PREAD_DV

PREAD_DV will read using a physical track/sector address.


PWRT_DV

PWRT_DV will write using a physical track/sector address.


PSEEK_DV

PSEEK_DV will seek to the specific logical track address specified  in
the track position on the job queue.


TREAD_DV

TREAD_DV will read without transferring to the buffer, using  cacheoff
offset data may be read directly from the track cache buffer.


TWRT_DV

TWRT_DV  will  write  without  transferring  from  the  buffer,  using
cacheoff offset data may be written directly to the track cache buffer
using BUFMOVE.


TPREAD_DV

TREAD_DV will read without transferring to the buffer, using  cacheoff
offset  data  may  be  read  directly from the track cache buffer.  No
logical to physical track and sector translation is done.


TPWRT_DV

TPWRT_DV will  write  without  transferring  from  the  buffer,  using
cacheoff offset data may be written directly to the track cache buffer
using BUFMOVE.  No logical to physical track and sector translation is
done.


DETWP_DV        

DETWP_DV will check whether the diskette is write protected,  00h  for
non-protected and 07h for protected media respectively.



                                - 14 -

CONTROLLER OPERATION                                          Page 4-8


FORMATDK_DV     

FORMATDK_DV will format the disk.



















































                                - 15 -

CONTROLLER OPERATION                                          Page 4-9


4.3  TRACK CACHE BUFFER

     The 1581 disk drive consists of (2) heads,  (80)  cylinders,  and
9/10 sectors per cylinder.  Each cylinder has (9216/10240) usable data
bytes.  Although the disk is physically organized as 512 byte sectors,
the  DOS  requests data in 256 byte chunks.  The controller interprets
the DOS sector  request  and  translates  the  logical  request  to  a
physical  request  on  the  disk  media.  The track/sector translation
routine may be revectored by  the  user.   All  I/O  to  the  disk  is
implemented  as  an  entire  track  access.  This allows access to the
drive with no interleaving.  A read of a sector will only have to copy
the  data  from  the  track  cache  buffer.  If the track cache buffer
contains another tracks data then it is written back to  disk  (if  it
has  been modified) and the new track will be read in.  Dumping of the
track cache buffer is done automatically.  It is done  when  the  next
physical  request  is  on  a  different track, closing of files, burst
command dump track buffer,  and  after  250  mS  of  idle  serial  bus
activity.




































                                - 16 -












                              CHAPTER 5

                            BAM/DIRECTORY



5.1  BAM LOCATION

     The BAM  is  located  on  logical  track  40,  sectors  1  and  2
respectively  (Physical track 39, sectors 2nd half of sector 1 and 1st
half of sector 2).  The following is the structure of the BAM:

Null Entry - BAM0
-----------------------------
BYTE 00h - Track link to DIRECTORY
BYTE 01h - Sector link to DIRECTORY
BYTE 02h - Disk Version Number
BYTE 03h - 00h
BYTE 04h 
     15h - Disk Name
BYTE 16h - Disk Id
BYTE 17h - Disk Id
BYTE 18h - A0h
BYTE 19h - DOS Version Number
BYTE 1Ah - Disk Version Number
BYTE 1Bh - A0h
BYTE 1Ch - A0h
BYTE 1Dh
     FFh - 00h
     

Logical Tracks 1-40 - BAM1
-----------------------------
BYTE 00h - Track link to BAM2
BYTE 01h - Sector link to BAM2
BYTE 02h - Version Number
BYTE 03h - Compliment Version Number
BYTE 04h - Disk Id
BYTE 05h - Disk Id
BYTE 06h - Auto Loader Flag (If the msb is set an attemp will
                             be made to load the cbm copyright 
                             86 file)
BYTE 07h
     0Fh - Reserved for future use.

                                - 17 -

BAM/DIRECTORY                                                 Page 5-2


BYTE 10h
     FFh - BAM image for logical tracks 1-40.

6-BYTES PER TRACK

BYTE #0 - FREE SECTORS ON TRACK
----------------------------------------------------------
BYTES #1-#5 BIT IMAGE OF TRACK

76543210 11111198 22221111 33222222 33333333
         543210   32109876 10987654 98765432


Logical Tracks 41-80 - BAM2
-----------------------------
BYTE 00h - 00h
BYTE 01h - FFh
BYTE 02h - Version Number
BYTE 03h - Compliment Version Number
BYTE 04h - Disk Id
BYTE 05h - Disk Id
BYTE 06h - Auto Loader Flag 
BYTE 07h
     0Fh - Reserved for future use.
BYTE 10h
     FFh - BAM image for logical tracks 41-80.

6-BYTES PER TRACK

BYTE #0 - FREE SECTORS ON TRACK
----------------------------------------------------------
BYTES #1-#5 BIT IMAGE OF TRACK

76543210 11111198 22221111 33222222 33333333
         543210   32109876 10987654 98765432



















                                - 18 -












                              CHAPTER 6

                           AUTO BOOT LOADER



6.1  COPYRIGHT CBM 86 FILE

     When the drive is reset it will hold off the serial bus and  look
for  a  file called "COPYRIGHT CBM 86" of file type USR.  It will load
and execute this file.  The file must have  the  following  structure:
The  first  two  bytes  of the file must contain the low and high load
addresses respectively.  The third byte is the amount of characters to
follow.   In  addition a trailing checksum byte must be included.  The
load address is the execution address.  The BAM contains a  flag  byte
which will allow auto execution on first disk access.





























                                - 19 -












                              CHAPTER 7

            PHYSICAL/LOGICAL TRACK AND SECTOR TRANSLATION



7.1  TRANSLATION ROUTINES

     The  DOS  handles  the  logical  to  physical  track  and  sector
translation  internally.  There is a vectored routine called JTRANS_TS
which can be revectored by the user.   The  translation  routine  must
provide:

Physical Track Address
Physical Sector Address
Offset into Track Cache Buffer
Physical Side




























                                - 20 -












                              CHAPTER 8

                         VECTORED JUMP TABLE



8.1  DOS COMMAND VECTORS

*=$XXXX                 ; Address to be Defined
jidle             
        jmp  (vecidl)   ; IDLE ROUTINE
jirq    
        jmp  (virq)     ; IRQ VECTOR
jnmi
        jmp  (vnmi)     ; NMI VECTOR
jverdir         
        jmp  (vverdir)  ; VALIDATE
jintdrv         
        jmp  (vintdrv)  ; INITIAL DRIVE
jpart
        jmp  (vpart)    ; PARTITIONING
jmem    
        jmp  (vmem)     ; MEMORY READ/WRITE/EXECUTE
jblock          
        jmp  (vblock)   ; BLOCK ALLOCATE/FREE/EXECUTE
juser   
        jmp  (vuser)    ; USER COMMANDS
jrecord                 
        jmp  (vrecord)  ; RELATIVE FILE RECORD COMMAND
jutlodr         
        jmp  (vutlodr)  ; UTILITY LOADER
jdskcpy         
        jmp  (vdskcpy)  ; COPY
jrename         
        jmp  (vrename)  ; RENAME
jscrtch         
        jmp  (vscrtch)  ; SCRATCH
jnew
        jmp  (vnew)     ; NEW
error            
        jmp  (verror)   ; DOS CONTROLLER ERROR HANDLER
jatnsrv
        jmp  (vatnsrv)  ; ATTENTION SERVER
jtalk

                                - 21 -

VECTORED JUMP TABLE                                           Page 8-2


        jmp  (vtalk)    ; SERIAL BUS TALK
jlisten
        jmp  (vlisten)  ; SERIAL BUS LISTEN
jlcc
        jmp  (vlcc)     ; CONTROLLER
jtrans_ts
        jmp  (vtrans_ts); TRANSLATION 
cmderr
        jmp  (vcmderr)  ; DOS COMMAND ERROR HANDLER
jstrobe_controller      
        jmp  strobe_controller
jcbmbooterr
        jmp  cbmbooterr ; AUTO LOADER RETURN









































                                - 22 -












                              CHAPTER 9

                         PARTITION CAPABILITY



9.1  CBM FILE TYPE

     The method of partitioning is accomplished  by  creating  a  file
entry  with the file type CBM.  There is a new command which gives the
user the capability  to  partition  the  disk.   The  CBM  file  entry
contains  the  name  of  the  file,  starting logical track, number of
tracks to be allocated.  Partial track allocation is not allowed.

Example PAR file entry:

. 00: 00 FF 85 01 00 44 41 56  File Type = $85 = CBM
. 08: 45 A0 A0 A0 A0 A0 A0 A0  Starts on Track 1 & 
. 10: A0 A0 A0 A0 A0 00 00 00  allocates full 1 track
. 18: 00 00 00 00 00 00 24 00  36 blocks, Name = DAVE

The BAM is allocated according to  the  file  entry.   The  difference
between  this file type and another is that the allocated sectors need
not have valid track and sector pointers.  By creating this entry  any
part  of  the  disk  can  be  allocated and protected (ie:  CP/M, Boot
Sectors) from the collect command.  The collect command will  trap  on
this  file  type  and will check that the BAM is indeed allocated.  If
not, it will allocated the appropriate sectors.   The  file  entry  of
type CBM may be scratched to free up the allocated sectors.

A Partition entry made be created in the following way:

OPEN15,8,15,"/0:par-name,c"+chr$(starting-track)
            +chr$(starting-sector)+chr$(blocks-lo)+chr$(blocks-hi)+",C"
:CLOSE15

If a  partition  entry is at least two tracks and does not overlap the 
original  system  track,  and  is  a multiple of the logical number of 
sectors  on  a cylinder  ( starting sector must be zero ).  A  feature 
has been added which will allow the user to select the partition entry, 
format for selection is:

OPEN15,8,15,"/0:par-name":CLOSE15


                                - 23 -

PARTITION CAPABILITY                                          Page 9-2


After the entry is selected the area must be formatted if it was not
previously formatted.  The system track will now be the starting
track.



















































                                - 24 -












                              CHAPTER 10

                        WILDCARD ENHANCEMENTS



     A modification to the original wildcard routines have been  made.
The drive will now accept:

 DIRECTORY"*.bas"        ; files w/ extension '.bas'
 DIRECTORY"*.bas=p"      ; files w/ extension '.bas' of type prg
 DIRECTORY"*.work=s"     ; files w/ extension '.work' of type seq
 DIRECTORY"*.list"       ; files w/ extension '.list'
 DIRECTORY"*.list,*.bas" ; files w/ extension '.list' & '.bas'

NOTE: The extensions listed above are not reserved, they are part of 
the file name.  The files should be saved in the following way:

DSAVE"example.bas"
DSAVE"example2.bas"
DSAVE"example.list"
























                                - 25 -












                              CHAPTER 11

                          VARIABLE STRUCTURE




















                                 TBD





















                                - 26 -












                              CHAPTER 12

                              SERIAL BUS



12.1  COMMODORE SERIAL INTERFACE

     The 1581 supports Standard, Fast, and Fast  Serial  communication
like the 1571.

     A HRF (Host Request Fast) command places the drive in fast serial
mode.  The 1581 remains in fast serial mode until an Unlisten, Untalk,
or serial bus error.  The 1581 will also source a DRF (Device  Request
Fast)  message.   This  message  lets the host know that the addressed
peripheral can receive bytes fast (or slow).





























                                - 27 -

SERIAL BUS                                                   Page 12-2


12.1.1  Programmable Baud Rate Generator

     The 8520 contains a programmable baud  rate  generator  which  is
used  for  fast  serial  transfers.  Timer A is used for the baud rate
generator.  In the output mode data is shifted out on SP  at  1/2  the
underflow  rate  of  Timer A.  The maximum baud rate possible is phi 2
divided by 4, but the maximum usable baud rate will be  determined  by
line loading and the speed at which the receiver responds to the input
data.  Transmission will start following a write to  the  Serial  Data
Register  (provided  Timer  A is running and in continuous mode).  The
clock derived from Timer A appears on the CNT pin.  The  Data  in  the
Serial  Data  Register  will  be  loaded  into the shift register then
shifted out to the SP pin.  After 8 pulses on the CNT pin,  a  bit  in
the  ICR  (interrupt  control  register)  is  set  and  if  desired an
interrupt may be generated.   All  incoming  fast  bytes  generate  an
interrupt  within  the  Fast Serial Drive.  The host will not generate
interrupts whether the fast bytes are  coming  or  going.   Bytes  are
shifted  out  most significant bit first.  Note:  When the 8520 is put
in output mode the SP pin will go low.

        ------------------------------------------
        ] Baud Rate ]     HI          LOW        ]
        ]-----------]   TIMER        TIMER       ]
        ] Phi2= 2MHz]   VALUE        VALUE       ]
        ------------------------------------------
        ]   166k    ]    00           06         ]
        ]   143k    ]    00           07         ]
        ]   100k    ]    00           10         ]
        ]    50k    ]    00           20         ]
        ]    25k    ]    00           40         ]
        ]  12.5k    ]    00           80         ]
        ------------------------------------------






















                                - 28 -

SERIAL BUS                                                   Page 12-3


12.1.2  Commodore Serial Interface

The bus consists of the following:

           Pin 1 - SRQ  (Service Request)

               Unused by the current serial bus.  Fast  Serial  will
         use this line as a bi-direction fast clock line.


           Pin 2 - GND

               Chassis ground.


           Pin 3 - ATN  (in)

               The host brings this signal low which than  generates
         an  interrupt  on  the  controller  board.   The  attention
         sequence is followed by an address.  If the device does not
         respond within a preset  time  the  host  will  assume  the
         device addressed is not on the bus.


          Pin 4 - CLK  (in/out)

               This signal is used for timing the data sent  on  the
         serial bus (software clocked).


           Pin 5 - DATA (in/out)

               Data on the serial bus is transmitted one  bit  at  a
         time (software toggled).  In addition  this  line  is  wire
         'ored' and used as a FAST DATA line to compliment the  FAST
         CLOCK on the SRQ line.


           Pin 6 - RESET

               This line will reset the peripheral upon host reset.













                                - 29 -

SERIAL BUS                                                   Page 12-4


12.1.3  Commodore Serial Interface Commands

EXPLANATION OF TERMS:

     HRF- Host Request Fast
     DRF- Device Request Fast
     LA - Listen address
     TA - Talk address
     SA - Secondary address
     SA(O) - Secondary address open
     SA(C) - Secondary address close
     DB - Data Byte
     FN - File name byte
     eoi - End or identify handshake
     TKATN - Talk-Atn handshake


     Command                    Abbreviation          Binary value
 *   Host Request Fast              HRF                  1111 1111
 *   Device Request Fast            DRF                  0000 0000
     talk address                   (TA)                 010x xxxx
     listen address                 (LA)                 001x xxxx
     untalk                         (UNTLK)              0101 1111
     unlisten                       (UNLSN)              0011 1111
     secondary address open         (SA(O))              1111 yyyy
     secondary address close        (SA(C))              1110 yyyy
     secondary address normal       (SA)                 011z zzzz

*  Fast byte clocked over the SRQ line.


Device Address (TA) (LA) = x xxxx values 0-30 possible

     0-3                            Internal devices
     4-7                            Normal CBM printers
     8-11                           Normal disk units
     12-30                          Unused

Channel Address (SA(O))  (SA(C)) = yyyy values 0-15 possible

     0 - PRG-TYPE Read Data Channel                     (special)
     1 - PRG-TYPE Write Data Channel                    (special)
     2-14 - Channel for all file types                  (read/write)
     15 - Unit command channel                          (read/write)

Normal Secondary Address (SA) = z zzzz values 0-31 possible



12.1.3.1  Standard Kernal Calls -

     Load:


                                - 30 -

SERIAL BUS                                                   Page 12-5


      This routines loads data bytes from any input device
      directly into the hosts memory.

          HRF LA SA(O) FN1 FN2...FNn-1 eoi FNn HRF UNLSN =>
          HRF TA SA TKATN DB1 DB2...DBn-1 eoi DBn UNTLK =>
          HRF TA SA(C) HRF UNLSN


     Save:

      This routines saves a section of memory.

           HRF LA SA(O) FN1 FN2...FNn-1 eoi FNn HRF UNLSN =>
           HRF LA SA DRF DB1 DB2...DBn eoi DBn-1 HRF UNLSN =>
           HRF LA SA(C) HRF UNLSN


     Open: with SA

      This routine is used to open a logical file for I/O operations.

           HRF LA SA(O) DRF FN1 FN2...FNn-1 eoi FNn HRF UNLSN



     Close: with SA

      This routine is used to close a logical file after all I/O
      operations have been completed on that file.


           HRF LA SA(C) HRF UNLSN



     Chkout: with SA

      This routine must be called before any data is sent to any
      output device.

           HRF LA SA



     Chkin: with SA

      This routine is called to define any previously opened
      channel as a input channel.

            HRF TA SA TLKATN




                                - 31 -

SERIAL BUS                                                   Page 12-6


     Chrout:
                   This uses a single  character  buffer,  and  will
         send previously buffered character,  if  any  exists.  This
         buffer is also sent along with eoi, prior  to  sending  any
         SERIAL BUS COMMAND sequence (HRF, LA,  TA,  SA(O),  SA(C),
         SA, UNTLK, UNLSN).

              Chrin:

               This routine is called to get a byte of data  from  a
         channel already setup as a input channel.

                    DBc or eoi DBc ( if external device sends eoi )

              Getin:

                   - see Chrin -



              Clrchn:

               This routine is used to clear and restore all open
               channels to there default values.

                  If Chkin channel open: UNTLK.
                  If Chkout channel open: eoi DBc HRF UNLSN

              Clall:

                   - see Clrchn -

              Stop:

               This routine is used to detect the stop key.  If stop
         key down, Clrchn called.


















                                - 32 -

SERIAL BUS                                                   Page 12-7


12.1.4  Commodore Standard Serial Interface Protocol


a) Data Structure

                  -------- ------  -----  ----------  --------
                     LA      SA     DATA   LAST DATA  UNLISTEN
                  ________ ______  _____  __________  ________
        __________                __________________        _________
ATN              |________________|                |________|

                 ^                         ^                ^
                 |                         |                |
               ATN                 EOI-HANDSHAKE        SYSTEM 
                                                      LINE RELEASE

  (1) Data is processed by synchronous transfer with CLOCK.
  (2) The first bit is the LSB.  All bits are of 8-bit 
      construction.
  (3) Listener address data is 28H or 29H, device 8 and 9 
      respectively.
  (4) Talker address data is 48H or 49H, device 8 and 9 
      respectively.
  (5) SA is 6XH, FXH, EXH where X is 0H .. FH.






























                                - 33 -

SERIAL BUS                                                   Page 12-8


12.1.5  Commodore Fast Serial Interface Protocol


a) Data Structure

        HRF                   DRF                      HRF
SRQ     ||||                  ||||  |||||   |||||||||  ||||

            ---------- ------       -----   ----------      --------
                LA       SA          DATA   LAST DATA       UNLISTEN
            __________ ______       _____   __________      ________
        ___                _________________________________         _______
ATN       |________________|                                |________|

                 ^                         ^                          ^
                 |                         |                          |
               ATN                 EOI-HANDSHAKE                SYSTEM 
                                                           LINE RELEASE


  (1) Data is processed by synchronous transfer with SRQ (fast clock).
  (2) The first bit is the MSB. All bits are of 8-bit 
      construction.
  (3) Minimum bit cell is 6 uS. or 48 uS. per byte.
  (4) Listener address data is 28H or 29H, device 8 and 9 
      respectively.
  (5) Talker address data is 48H or 49H, device 8 and 9 
      respectively.
  (6) SA is 6XH, FXH, EXH where X is 0H .. FH.

























                                - 34 -

SERIAL BUS                                                   Page 12-9


12.1.6  Commodore Burst Serial Interface Protocol


SRQ     |||| |||| |||| |||| |||| ||||

        ____ ____ ____ ____ ____ ____
DATA    ____ ____ ____ ____ ____ ____

            _____     _____     _____
CLOCK   ____|   |_____|   |_____|


  (1) Data is processed by synchronous transfer with SRQ (fast clock).
  (2) The first bit is the MSB. All bits are of 8-bit 
      construction.
  (3) Minimum bit cell is 6 uS. or 48 uS. per byte.
  (4) Handshaking is processed by CLOCK.





































                                - 35 -

SERIAL BUS                                                  Page 12-10


12.2  SERIAL BUS PERFORMANCE


Standard serial: Actual transfer rate = 4800-6800 baud.

    Fast serial: Actual transfer rate = 21000-23000 baud.

   Burst serial: Actual transfer rate = 78400-80000 baud.














































                                - 36 -

SERIAL BUS                                                  Page 12-11


12.3  COMMODORE SERIAL SECONDARY ADDRESS DESCRIPTION


                ----------------------------------------------------
                | Secondary Address |           Function           |
                ----------------------------------------------------
                |         0         |   Load channel               |
                ----------------------------------------------------
                |         1         |   Save channel               |
                ----------------------------------------------------
                |         2-14      |   open buffer(s)             |
                ----------------------------------------------------
                |         15        |   Command channel/Error      |
                |                   |   channel                    |
                ----------------------------------------------------







































                                - 37 -

SERIAL BUS                                                  Page 12-12


12.3.1  Secondary Address 0

                                : Reserved for loading files.




12.3.2  Secondary Address 1

                                : Reserved for saving of files.





12.3.3  Secondary Address 2-14

                                : Secondary Address for direct access
                                  to buffers (ie: open2,DN,2,"#") or
                                  file access (ie: open2,DN,2,"File,
                                  Seq,Read").  Eight buffers are 
                                  available.




12.3.4  Secondary Address 15

                                : This secondary address allows
                                  commands to be send to the drive
                                  via: print#FA,"command-string"
                                  and read the error channel via:
                                  ds$.





















                                - 38 -












                              CHAPTER 13

                        DISK OPERATING SYSTEM










































                                - 39 -

DISK OPERATING SYSTEM                                        Page 13-2


13.1  COMMAND SUMMARY


            Command           Command Format
          =========================================================

            NEW               "N0:DIRNAME,XX"

            COPY              "C0:NEW=0:ORIGINAL"

            RENAME            "R0:NEW=0:OLD"

            SCRATCH           "S0:FILENAME"

            INITIALIZE        "I0"

            VALIDATE          "V0"

            PARTITION         "/0:PARTITION-NAME,TRACK,START-SECTOR,#BLOCKS"

            BLOCK-READ        "B-R:"CHANNEL;DRIVE;TRACK;SECTOR
                               READS LSTCHR

            BLOCK-WRITE       "B-W:"CHANNEL;DRIVE;TRACK;SECTOR
                               WRITES LSTCHR

            BLOCK-ALLOCATE    "B-A:"DRIVE;TRACK;SECTOR

            BLOCK-EXECUTE     "B-E:"CHANNEL;DRIVE;TRACK;SECTOR

            BLOCK-FREE        "B-F:"DRIVE;TRACK;SECTOR

            BUFFER-POINTER    "B-P:"CHANNEL;POSITION

            USER(N)           
                              U0     RESTORE DEFAULT USER VECTORS.
                              U0+CMD BURST UTILITY COMMANDS.
                                     (SEE BURST COMMANDS)

                              U1,U2 ARE BLOCK READ AND BLOCK WRITE
                                   REPLACEMENTS. ( NO LSTCHR )
                              U3 TO U9 ARE USER DEFINED.

            POSITION          "P"CHR$(CHAN#)CHR$(REC#LO)CHR$(REC#HI)
                               CHR$(POSITION)

            BLOCK EXECUTE     "B-E:"CHANNEL;DRIVE;TRACK;SECTOR

            MEMORY READ       "M-R"CHR$(ADDR-LO)CHR$(ADDR-HI)

            MEMORY WRITE      "M-W"CHR$(ADDR-LO)CHR$(ADDR-HI)
                               CHR$(#OF CHAR)CHR$(DATA)


                                - 40 -

DISK OPERATING SYSTEM                                        Page 13-3


            MEMORY EXECUTE    "M-E"CHR$(ADDR-LO)CHR$(ADDR-HI)

          * UTILITY LOADER    "&0:FILE-NAME"



* The Utility loader will load a file  of  the  type  USR
  into the drive RAM.  The first two bytes of the  file  must
  contain the low and high load addresses respectively.   The
  third byte is the  amount  of  characters  to  follow.   In
  addition a trailing checksum byte must be included.   The 
  load address is the execution address.  










































                                - 41 -

DISK OPERATING SYSTEM                                        Page 13-4


13.1.1  DOS Error Returns



20:     READ ERROR (BLOCK HEADER NOT FOUND)
21:     READ ERROR (DRIVE NOT READY)
22:     READ ERROR (DATA BLOCK NOT FOUND)
23:     READ ERROR (CRC ERROR IN DATA BLOCK)
24:     READ ERROR (BAD SECTOR HEADER)
25:     WRITE ERROR (WRITE/VERIFY ERROR)
27:     READ ERROR (CRC ERROR IN HEADER)
30:     SYNTAX ERROR (GENERAL SYNTAX)
31:     SYNTAX ERROR (INVALID COMMAND)
32:     SYNTAX ERROR (LONG LINE)
33:     SYNTAX ERROR (INVALID FILE NAME)
34:     SYNTAX ERROR (NO FILE NAME GIVEN)
39:     SYNTAX ERROR (INVALID COMMAND)
50:     RECORD NOT PRESENT
51:     OVERFLOW IN RECORD
52:     FILE TOO LARGE
60:     WRITE FILE OPEN
61:     FILE NOT OPEN
62:     FILE NOT FOUND
63:     FILE EXISTS
64:     FILE TYPE MISMATCH
65:     NO BLOCK
66:     ILLEGAL TRACK AND SECTOR
67:     ILLEGAL SYSTEM TRACK OR SECTOR
70:     NO CHANNEL ERROR
71:     DIRECTORY ERROR
72:     DISK FULL
74:     DRIVE NOT READY
75:     FORMAT ERROR
76:     CONTROLLER ERROR




















                                - 42 -












                              CHAPTER 14

                            BURST COMMANDS



14.1  BURST COMMAND SUMMARY

NOTE: There is no logical track and sector translation for burst
commands which require a track and sector parameter.

BURST CMD ONE - READ

      BYTE  BIT 7       6       5       4       3       2       1       0  
============================================================================
       00       0       1       0       1       0       1       0       1
----------------------------------------------------------------------------
       01       0       0       1       1       0       0       0       0
----------------------------------------------------------------------------
       02       T       E       B       S       0       0       0       N
----------------------------------------------------------------------------
       03                      DESTINATION TRACK
----------------------------------------------------------------------------
       04                      DESTINATION SECTOR
----------------------------------------------------------------------------
       05                      NUMBER OF SECTORS
----------------------------------------------------------------------------
       06                      NEXT TRACK (OPTIONAL)
----------------------------------------------------------------------------


   RANGE:

        VALUES ARE DETERMINED UPON THE PARTICULAR DISK FORMAT AND 
        FORMAT OF TRANSLATION TABLE.


SWITCHES:

        T - TRANSFER DATA (1=NO TRANSFER)
        E - IGNORE ERROR (1=IGNORE)
        B - BUFFER TRANSFER ONLY (1=BUFFER TRANSFER ONLY)
        S - SIDE SELECT 
        N - DRIVE NUMBER

                                - 43 -

BURST COMMANDS                                               Page 14-2




PROTOCOL:
        ONE  BURST  STATUS  BYTE PRECEDING BURST DATA WILL BE SENT  
        FOR  EVERY  SECTOR  TRANSFERRED.    ON  AN  ERROR  CONDITION  
        DATA  WILL NOT BE SENT UNLESS THE E BIT IS SET.

CONVENTIONS:

        CMD ONE MUST BE PROCEEDED WITH CMD 3 OR CMD 6  ONCE TO LOG
        THE DISK IN,  THEN READS  OR WRITES CAN BE PERFORMED UNTIL
        THE DISK IS CHANGED.










































                                - 44 -

BURST COMMANDS                                               Page 14-3


BURST CMD TWO - WRITE

      BYTE  BIT 7       6       5       4       3       2       1       0 
============================================================================
       00       0       1       0       1       0       1       0       1
----------------------------------------------------------------------------
       01       0       0       1       1       0       0       0       0
----------------------------------------------------------------------------
       02       T       E       B       S       0       0       1       N
----------------------------------------------------------------------------
       03                      DESTINATION TRACK
----------------------------------------------------------------------------
       04                      DESTINATION SECTOR
----------------------------------------------------------------------------
       05                      NUMBER OF SECTORS
----------------------------------------------------------------------------
       06                      NEXT TRACK (OPTIONAL)
----------------------------------------------------------------------------


   RANGE:

        VALUES ARE DETERMINED UPON THE PARTICULAR DISK FORMAT AND 
        FORMAT OF TRANSLATION TABLE.

 
SWITCHES:

        T - TRANSFER DATA (1=NO TRANSFER)
        E - IGNORE ERROR (1=IGNORE)
        B - BUFFER TRANSFER ONLY (1=BUFFER TRANSFER ONLY)
        S - SIDE SELECT 
        N - DRIVE NUMBER



PROTOCOL:

        BURST DATA TO THE DRIVE, THEN HOST MUST PERFORM THE FO-
        LLOWING: FAST SERIAL INPUT, PULL THE CLOCK LOW AND WAIT 
        FOR THE BURST STATUS BYTE, PULL CLOCK HIGH, GO OUTPUT
        FOR MULTI-SECTOR TRANSFERS AND CONTINUE.



CONVENTIONS:

        CMD TWO MUST BE PROCEEDED WITH CMD 3 OR CMD 6  ONCE TO LOG
        THE DISK IN,   THEN WRITES CAN BE PERFORMED UNTIL THE DISK 
        IS CHANGED.




                                - 45 -

BURST COMMANDS                                               Page 14-4


BURST CMD THREE - INQUIRE DISK


      BYTE  BIT 7       6       5       4       3       2       1       0  
============================================================================
       00       0       1       0       1       0       1       0       1
----------------------------------------------------------------------------
       01       0       0       1       1       0       0       0       0
----------------------------------------------------------------------------
       02       X       X       X       S       0       1       0       N
----------------------------------------------------------------------------


 
SWITCHES:

        N - DRIVE NUMBER


OUTPUT:
        ONE BURST STATUS BYTE FOLLOWING THE INQUIRE OPERATION.

































                                - 46 -

BURST COMMANDS                                               Page 14-5


BURST CMD FOUR - FORMAT 


      BYTE  BIT 7       6       5       4       3       2       1       0 
============================================================================
       00       0       1       0       1       0       1       0       1
----------------------------------------------------------------------------
       01       0       0       1       1       0       0       0       0
----------------------------------------------------------------------------
       02       M       X       X       X       0       1       1       N
----------------------------------------------------------------------------
       03           SECTOR SIZE          * (OPTIONAL DEF-02,512 BYTE SECTORS)
----------------------------------------------------------------------------
       04           LAST TRACK NUMBER      (OPTIONAL DEF-79)
----------------------------------------------------------------------------
       05           NUMBER OF SECTORS   ** (OPTIONAL DEPENDS ON BYTE 05)
----------------------------------------------------------------------------
       06           STARTING TRACK         (OPTIONAL DEF-0)
----------------------------------------------------------------------------
       07           FILL BYTE              (OPTIONAL DEF-$E5)
----------------------------------------------------------------------------
       08           GAP THREE              (DEPENDS ON BYTE 03)
----------------------------------------------------------------------------

*  01 - 256 BYTE SECTORS             ** 16 - 256 BYTE SECTORS
   02 - 512 BYTE SECTORS                 9 - 512 BYTE SECTORS
   03 - 1024 BYTE SECTORS                5 - 1024 BYTE SECTORS

SWITCHES:

        M - MODE (1=WILL ACCEPT BYTES 03 - 08, 0=WILL FORMAT, CREATE
                  DIRECTORY AND BAM)
        N - DRIVE NUMBER


PROTOCOL:

        CONVENTIONAL.


CONVENTIONS:

        CMD FOUR MUST BE FOLLOWED WITH CMD 3 OR CMD 6 ONCE TO LOG
        THE DISK IN.


OUTPUT:
        NONE.  STATUS WILL BE UPDATED WITHIN THE DRIVE.  






                                - 47 -

BURST COMMANDS                                               Page 14-6


BURST CMD FIVE - SECTOR INTERLEAVE 
                

      BYTE  BIT 7       6       5       4       3       2       1       0 
============================================================================
       00       0       1       0       1       0       1       0       1
----------------------------------------------------------------------------
       01       0       0       1       1       0       0       0       0
----------------------------------------------------------------------------
       02       W       X       X       0       1       0       0       N
----------------------------------------------------------------------------
       04                      INTERLEAVE (DEFAULT = 1)
----------------------------------------------------------------------------

 
SWITCHES:

        W - WRITE SWITCH
        N - DRIVE NUMBER
        X - DON"T CARE

PROTOCOL:

        BURST HANDSHAKE (W=1), CONVENTIONAL (W=0).


CONVENTIONS:

        THIS IS A SOFT INTERLEAVE USED FOR MULTI-SECTOR BURST 
        READ AND WRITE.

OUTPUT:
        NONE (W=0), INTERLEAVE BURST BYTE (W=1).





















                                - 48 -

BURST COMMANDS                                               Page 14-7


BURST CMD SIX - QUERY DISK FORMAT
                

      BYTE  BIT 7       6       5       4       3       2       1       0 
============================================================================
       00       0       1       0       1       0       1       0       1
----------------------------------------------------------------------------
       01       0       0       1       1       0       0       0       0
----------------------------------------------------------------------------
       02       F       X       T       S       1       0       1       N
----------------------------------------------------------------------------
       03                   OFFSET      (OPTIONAL F-BIT SET)
----------------------------------------------------------------------------

 
SWITCHES:

        F - FORCE FLAG (F=1, WILL STEP THE HEAD WITH THE 
            OFFSET SPECIFIED IN BYTE 03)
        T - SECTOR TABLE (T=1, SEND SECTOR TABLE).
        N - DRIVE NUMBER
        X - DON'T CARE.

PROTOCOL:

        BURST HANDSHAKE.


CONVENTIONS:

        THIS IS A METHOD OF DETERMINING THE FORMAT OF THE DISK ON 
        ANY PARTICULAR TRACK, IT ALSO LOGS NON-STANDARD DISKS
        (IE. MINIMUM SECTOR ADDRESSES OTHER THAN ZERO).

OUTPUT:
      * BURST STATUS BYTE (IF THERE WAS AN ERROR OR IF THE 
                            FORMAT IS GCR NO BYTES WILL FOLLOW)
     ** BURST STATUS BYTE (IF THERE WAS AN ERROR IN COMPILING 
                           MFM FORMAT INFORMATION NO BYTES
                           WILL FOLLOW)
        NUMBER OF SECTORS (THE NUMBER OF SECTORS ON A PARTICULAR
                           TRACK)
        LOGICAL TRACK     (THE LOGICAL TRACK NUMBER FOUND IN THE 
                           DISK HEADER)
        MINIMUM SECTOR    (THE LOGICAL SECTOR WITH THE LOWEST
                           VALUE ADDRESS)
        MAXIMUM SECTOR    (THE LOGICAL SECTOR WITH THE HIGHEST
                           VALUE ADDRESS)
        INTERLEAVE        ALWAYS RETURNS 1.
        SECTOR TABLE      (WITH T BIT SET SECTOR TABLE IS SENT)

 * STATUS FROM TRACK OFFSET ZERO.
** IF F BIT IS SET STATUS IS FROM OFFSET TRACK.

                                - 49 -

BURST COMMANDS                                               Page 14-8


BURST CMD SEVEN - INQUIRE STATUS
                

     BYTE  BIT 7       6       5       4       3       2       1       0 
============================================================================
       00       0       1       0       1       0       1       0       1
----------------------------------------------------------------------------
       01       0       0       1       1       0       0       0       0
----------------------------------------------------------------------------
       02       W       C       M       0       1       1       0       N
----------------------------------------------------------------------------
       03                       NEW STATUS (W-BIT CLEAR)
----------------------------------------------------------------------------
 
SWITCHES:

        W - WRITE SWITCH 
        M - WRITE AND/ORA MASK
        C - CHANGE (C=1 & W=0 - LOG IN DISK,  C=1 & W=1 - RETURN WHETHER
                    DISK WAS LOGGED IE. $B ERROR OR OLD STATUS)
        N - DRIVE NUMBER
        X - DON'T CARE

PROTOCOL:
        
        BURST HANDSHAKE (W=1), CONVENTIONAL (W=0).


CONVENTIONS:

        THIS IS A METHOD OF READING OR WRITING CURRENT STATUS.


OUTPUT:
        NONE (W=0), BURST STATUS BYTE (W=1)



















                                - 50 -

BURST COMMANDS                                               Page 14-9


BURST CMD EIGHT - DUMP TRACK CACHE BUFFER
                

      BYTE  BIT 7       6       5       4       3       2       1       0 
============================================================================
       00       0       1       0       1       0       1       0       1
----------------------------------------------------------------------------
       01       0       0       1       1       0       0       0       0
----------------------------------------------------------------------------
       02       X       X       X       1       1       1       0       1
----------------------------------------------------------------------------
 
SWITCHES :

        X - DON'T CARE.







































                                - 51 -

BURST COMMANDS                                              Page 14-10


BURST CMD NINE - CHGUTL UTILITY
                

      BYTE  BIT 7       6       5       4       3       2       1       0 
============================================================================
       00       0       1       0       1       0       1       0       1
----------------------------------------------------------------------------
       01       0       0       1       1       0       0       0       0
----------------------------------------------------------------------------
       02       X       X       X       1       1       1       1       0
----------------------------------------------------------------------------
       03         UTILITY COMMANDS: 'B', 'S', 'R', 'T', 'V', #DEV
----------------------------------------------------------------------------
       04         COMMAND PARAMETER 
----------------------------------------------------------------------------
SWITCHES:

        X - DON'T CARE.



UTILITY COMMANDS:

        'B' - SERIAL BUS MODE.
        'S' - DOS SECTOR INTERLEAVE.
        'R' - DOS RETRIES.
        'T' - ROM SIGNATURE ANALYSIS.
        'V' - VERIFY SELECT.
       #DEV - DEVICE #.


NOTE: BYTE 02 IS EQUIVALENT TO A '>'
        
EXAMPLES:
        "U0>B1"=FAST SERIAL, "U0>B0"=SLOW SERIAL
        "U0>S"+CHR$(SECTOR-INTERLEAVE)
        "U0>R"+CHR$(RETRIES)
        "U0>T" SIGNATURE ANALYSIS OF ROM (BLINK 4 TIMES ON FAILURE)
        "U0>V0"=DISK VERIFY ON, "U0>V1"=DISK VERIFY OFF 
        "U0>"+CHR$(#DEV), WHERE #DEV = 4-30














                                - 52 -

BURST COMMANDS                                              Page 14-11


BURST CMD TEN - FASTLOAD UTILITY
                

      BYTE  BIT 7       6       5       4       3       2       1       0 
============================================================================
       00       0       1       0       1       0       1       0       1
----------------------------------------------------------------------------
       01       0       0       1       1       0       0       0       0
----------------------------------------------------------------------------
       02       P       X       X       1       1       1       1       1
----------------------------------------------------------------------------
       03                    FILE NAME
----------------------------------------------------------------------------
 
SWITCHES:

        P - SEQUENTIAL FILE BIT (P=1, DOES NOT HAVE TO BE A PROGRAM 
                                      FILE)
        X - DON'T CARE.

PROTOCOL:
        
        BURST HANDSHAKE.


OUTPUT:
        BURST STATUS BYTE PRECEDING EACH SECTOR TRANSFERRED.
        
STATUS IS AS FOLLOWS:

        0000000X ............. OK
     *  00000010 ............. FILE NOT FOUND
    **  00011111 ............. EOI
        
 * VALUES BETWEEN THE RANGE 3-15 SHOULD BE CONSIDERED A FILE READ ERROR.

** FOLLOWING THE EOI STATUS BYTE THE NEXT BYTE IS THE NUMBER OF DATA 
   BYTES TO FOLLOW.
















                                - 53 -

BURST COMMANDS                                              Page 14-12


STATUS BYTE BREAK DOWN
                

       BIT 7       6       5       4       3       2       1       0 
============================================================================
         MODE      DN     SECTOR SIZE      [  CONTROLLER  STATUS   ]
----------------------------------------------------------------------------
 

        MODE - ALIEN/RESIDENT DISK FORMAT
          DN - DRIVE NUMBER 

 SECTOR SIZE - (MFM ONLY)
               00 .... 128 BYTE SECTORS (NOT SUPPORTED)
               01 .... 256 BYTE SECTORS 
               10 .... 512 BYTE SECTORS (DEFAULT)
               11 .... 1024 BYTE SECTORS

 CONTROLLER STATUS (MFM)
             000X .... OK
             0010 .... SECTOR NOT FOUND
             0011 .... NO ADDRESS MARK
             0100 .... DATA BLOCK NOT PRESENT
             0101 .... DATA CRC ERROR
             0110 .... FORMAT ERROR
             0111 .... VERIFY ERROR
             1000 .... WRITE PROTECT ERROR
             1001 .... HEADER BLOCK CHECKSUM ERROR
             1010 .... WRITE PROTECTED
             1011 .... DISK CHANGE
             1100 .... DRIVE ELECTRONICS NOT READY
             1101 .... RESERVED
             1110 .... SYNTAX ERROR
             1111 .... NO DISK PRESENT




















                                - 54 -
