
	[1mBOX - Draw a 4-sided graphical shape[0m

			BOX x0,y0, x1,y0, x0,y1, x1,y1 [,solid]
			    -----  -----  -----  -----
			      p1    p2      p3    p4
			    ------------  ------------
			     segment A     segment B

(0[1 K
	X0,Y0  lqqqqqqqqqqqqqqqqqqqk  X1,Y0     X0,Y0  qqqqqqqqqqqqqqqqqqqqq  X1,Y0     
	       xP1               P2x                    P1               P2 
	       x                   x                                        
	       xP3               P4x                    P4               P3 
	X0,Y1  mqqqqqqqqqqqqqqqqqqqj  X1,Y1     X0,Y1  qqqqqqqqqqqqqqqqqqqqj  X1,Y1     
(B[0 K
	BOX requires two line segments to be specified, the order and direction
	of which determines the shape drawn.  The shape is drawn in the color
	and style of the currently defined PEN on the currently defined draw
	screen.  The two line segments specify opposite sides of a particular
	shape, and points are selected from them such that the box could be
	sheared in two directions, making such shapes as bowties and diamonds
	possible.  For example:

		(where pn = x,y cordinate as above, and x0<x1 and y0<y1)

		BOX p1, p2, p3, p4	draws a wire-frame rectangle
		BOX p1, p3, p4, p2	draws a wire-frame bowtie
		BOX p1, p2, p4, p3	draws a wire-frame hourglass

		BOX p1, p2, p3, p4, 1	draws a solid rectangle left to right
		BOX p2, p1, p4, p3, 1	draws a solid rectangle right to left

	Solid shapes exhibit some interesting effects.  The length of both line
	segments should be the same, else the length of segment A determines
	the length of both opposing sides and therefore the solid shape won't
	match the corresponding wire-frame shape.  When certain shear angles
	are used, the resulting solid shape may not be completely filled and
	exhibit a moire effect.  Line segments that are of equal length and
	parallel (rectangles and diamonds, for example) won't exhibit any of
	these effects.

