DMODE	- Set draw modes

	  DMODE  jam, complement, stencil, style, thickness

	jam         		0-1	0=JAM1,   1=JAM2
	complement		0-1	0=normal, 1=XOR
	stencil     		0-1			(not implemented)
	style       		0-3	0=solid
					1=pattern set by DPAT
					2=tile		(not implemented)
	thickness   		1-8			(not implemented)

The DrawMODE command establishes certain drawing parameters for subsequent
graphics commands such as DRAW, BOX, CIRCLE, PAINT, etc.  The CHAR command is
not affected by DMODE since it sets its own draw modes.

If you select JAM1 drawing mode, foreground data will be drawn in PEN-0 color
and background data won't be drawn (i.e., it will be transparent).  If you
select JAM2 mode, forground data will be drawn using PEN-0 color and background
data will be drawn using PEN-1 color.  This is effective for styles other than
solid.  If you select complement mode, JAM modes will be ignored.

Style refers to the line type used when drawing, as defined by the DPAT
command, such as dotted or dashed lines.  See DPAT.

Stencil mode, tile patterns, and line thickness options are not currently
implemented, but are none-the-less subject to the syntax rules outlined above.

DPAT	- Set draw pattern

	DPAT  type [,bytes, byte1 [,byte2 [,byte3 [,byte4] ]]]

		type      	0-4	0=user defined
					1=thin dot
					2=thick dot
					3=dash
					4=dot/dash

		bytes   	1-4	user defined pattern:
			byte1   	0-255
			byte2   	0-255
			byte3   	0-255
			byte4   	0-255

The Define PATtern command is used to define a particular line type used
by drawing commands such as DRAW, BOX, CIRCLE, PAINT, etc.  There are four
predefined line types, and one user-defined line type.  The DMODE style
option is used to enable pattern drawing.  See DMODE.

The predefined line types are each 8 bits long.  The user defined line type
can be from 8 bits (1 byte) to 32 bits (4 bytes) long.  When drawing with a
pattern, the first dot addressed by any drawing command will be drawn starting
with the first bit of the specified pattern.  Subsequent dots addressed by the
same command will be drawn with subsequent bits from the pattern.  When the
end of the pattern is reached, the pattern is started over again.

PAINT will use patterns, but this is effective only for simple fill regions.
If the region to be filled contains any boundaries, the computer will usually
attempt to fill the pattern itself, which is probably undesireable.  Drawing
commands with a solid option will also use patterns to fill the shape, starting
the pattern over with each scanline drawn.
